package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemSiteTermsBindingImpl extends ItemSiteTermsBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final android.widget.TextView mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback177;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemSiteTermsBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 1, sIncludes, sViewsWithIds));
    }
    private ItemSiteTermsBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            );
        this.mboundView0 = (android.widget.TextView) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback177 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.siteTermsWithLanguage == variableId) {
            setSiteTermsWithLanguage((com.ustadmobile.lib.db.entities.SiteTermsWithLanguage) variable);
        }
        else if (BR.presenter == variableId) {
            setPresenter((com.ustadmobile.core.controller.SiteDetailPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setSiteTermsWithLanguage(@Nullable com.ustadmobile.lib.db.entities.SiteTermsWithLanguage SiteTermsWithLanguage) {
        this.mSiteTermsWithLanguage = SiteTermsWithLanguage;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.siteTermsWithLanguage);
        super.requestRebind();
    }
    public void setPresenter(@Nullable com.ustadmobile.core.controller.SiteDetailPresenter Presenter) {
        this.mPresenter = Presenter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.presenter);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.SiteTermsWithLanguage siteTermsWithLanguage = mSiteTermsWithLanguage;
        com.ustadmobile.core.controller.SiteDetailPresenter presenter = mPresenter;
        java.lang.String siteTermsWithLanguageStLanguageName = null;
        com.ustadmobile.lib.db.entities.Language siteTermsWithLanguageStLanguage = null;

        if ((dirtyFlags & 0x5L) != 0) {



                if (siteTermsWithLanguage != null) {
                    // read siteTermsWithLanguage.stLanguage
                    siteTermsWithLanguageStLanguage = siteTermsWithLanguage.getStLanguage();
                }


                if (siteTermsWithLanguageStLanguage != null) {
                    // read siteTermsWithLanguage.stLanguage.name
                    siteTermsWithLanguageStLanguageName = siteTermsWithLanguageStLanguage.getName();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x5L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.mboundView0, siteTermsWithLanguageStLanguageName);
        }
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            this.mboundView0.setOnClickListener(mCallback177);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // siteTermsWithLanguage
        com.ustadmobile.lib.db.entities.SiteTermsWithLanguage siteTermsWithLanguage = mSiteTermsWithLanguage;
        // presenter != null
        boolean presenterJavaLangObjectNull = false;
        // presenter
        com.ustadmobile.core.controller.SiteDetailPresenter presenter = mPresenter;



        presenterJavaLangObjectNull = (presenter) != (null);
        if (presenterJavaLangObjectNull) {



            presenter.handleClickTerms(siteTermsWithLanguage);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): siteTermsWithLanguage
        flag 1 (0x2L): presenter
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}